<div class="row" style="height: 100px;background-color: #014254;">
    <h1 style="color: snow;font-size: 20px;margin-top: 35px;margin-left: 25px; "> เขียนบทความโฆษณา</h1>
</div>



<h1>Upload your Avatar!</h1>
<div>
    <div *ngIf="error">
        {{ error.message }}
    </div>
    <div *ngIf="uploadResponse.status === 'error'">
        {{ uploadResponse.message }}
    </div>
    <div *ngIf="uploadResponse.status === 'progress'">


        <div role="progressbar" [style.width.%]="uploadResponse.message" aria-valuenow="25" aria-valuemin="0"
            aria-valuemax="100">
            {{uploadResponse.message}}%
        </div>

    </div>

    <form [formGroup]="form" (ngSubmit)="onSubmit()">

        <input type="file" name="avatar" (change)="onFileChange($event)" />
        <button type="submit">Upload</button>

    </form>
</div>


